import {Cluster}from'ioredis';import {UpstashRedisClient,IORedisClient}from'@common-stack/core/lib/redis-client/index.js';import {config}from'./env-config.server.js';let redisClient;
function getRedisClient(logger) {
    if (!redisClient) {
        // Initialize Redis client if it doesn't exist
        if (config.REDIS_CLUSTER_ENABLED) {
            if (!config.REDIS_CLUSTER_URL) {
                throw new Error(`No nodes defined for cluster, ${config.REDIS_CLUSTER_URL}`);
            }
            logger?.info('Setting Redis.Cluster connection');
            redisClient = new Cluster(config.REDIS_CLUSTER_URL);
        }
        else {
            // eslint-disable-next-line no-lonely-if
            if (process.env.SERVER_ENV === 'cloudflare') {
                logger?.info('Setting Upstash Redis connection');
                redisClient = new UpstashRedisClient({
                    url: config.REDIS_URL,
                    token: config.REDIS_UPSTASH_TOKEN,
                });
            }
            else {
                logger?.info('Setting IO Redis connection');
                redisClient = new IORedisClient({ url: config.REDIS_URL });
            }
        }
        return redisClient;
    }
    return redisClient;
}export{getRedisClient};